#include<iostream>
#include<cmath>
using namespace std;
main()
{
	int n, i, j;
	cin >> n;
	double a[n];
	double p[n], s1[n];
	double max = s1[0];
	for(i = 0; i < n; i++)
	{
		cin >> a[i] >> p[i];
	}
	for(i = 0; i < n; i++)
	{
		for(j = 0; j < n; j++)
		{
			if(p[j] >= p[i])
				s1[i] += a[j] / 100 * p[i];
		}	
			if(s1[i] > max)
				max = s1[i];
	}
	printf("%f", max);
	return 0;
}